function _createForOfIteratorHelper(o, allowArrayLike) { var it = typeof Symbol !== "undefined" && o[Symbol.iterator] || o["@@iterator"]; if (!it) { if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") { if (it) o = it; var i = 0; var F = function F() {}; return { s: F, n: function n() { if (i >= o.length) return { done: true }; return { done: false, value: o[i++] }; }, e: function e(_e) { throw _e; }, f: F }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); } var normalCompletion = true, didErr = false, err; return { s: function s() { it = it.call(o); }, n: function n() { var step = it.next(); normalCompletion = step.done; return step; }, e: function e(_e2) { didErr = true; err = _e2; }, f: function f() { try { if (!normalCompletion && it.return != null) it.return(); } finally { if (didErr) throw err; } } }; }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
// 内库使用-start
import Loading from "./../../../Loading";
// 内库使用-end

/* 测试使用-start
import { Loading } from 'seedsui-react'
测试使用-end */

function hideLoading(rootDOM) {
  var _ref = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {},
    failIndexes = _ref.failIndexes;
  if (!rootDOM) return;
  // 根节点遮罩
  rootDOM.classList.remove('uploading');
  // 新增按钮遮罩
  var chooseDOM = rootDOM.querySelector('[data-type="upload"]');
  if (chooseDOM) chooseDOM.classList.remove('uploading');
  // 当前项遮罩
  var itemsDOM = rootDOM.querySelectorAll("[data-index]");
  if (itemsDOM) {
    var _iterator = _createForOfIteratorHelper(itemsDOM),
      _step;
    try {
      for (_iterator.s(); !(_step = _iterator.n()).done;) {
        var itemDOM = _step.value;
        var itemIndex = Number(itemDOM.getAttribute('data-index'));
        itemDOM.classList.remove('uploading');
        // 更新失败状态
        if (Array.isArray(failIndexes) && failIndexes.includes(itemIndex)) {
          itemDOM.classList.add('fail');
        }
      }
    } catch (err) {
      _iterator.e(err);
    } finally {
      _iterator.f();
    }
  }
  Loading.hide();
}
export default hideLoading;